# pol2str

polynomial to string conversion

## Calling Sequence

    strs = pol2str(p)

## Arguments

p

  matrix or hypermatrix of polynomials with real or complex coefficients

strs

  matrix or hypermatrix of strings

## Description

converts polynomial to character string (utility function).

The output format of coefficients is set through format(..).

## Examples

    pol2str(%z)

    p = poly ([1, 2, 3], "x","coeff");
    pol2str(p)

    p = (1+%i+%z)^(1:4)
    pol2str(p)

## See Also

- string
- prettyprint
- sci2exp

## History

5.5.0
pol2str() extended to polynomials with complex coefficients and to hypermatrix. Array processing vectorized.